using Domain;

namespace Presenter {
	public class CTrencadaClick {
		private readonly Model _model;
		private readonly ICTrencadaInput _view;

		public CTrencadaClick(Model model, ICTrencadaInput view) {
			_model = model;
			_view = view;
		}

		public void Execute() {
			_model.AddScore(1);
			_view.UpdateView(_model.Score);
		}
	}
}